org.apache.struts2.config.entities

## Class BeanConfig

- java.lang.Object
- - org.apache.struts2.config.entities.BeanConfig

-     public class BeanConfig
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanConfig(Class<?> clazz)`
    `BeanConfig(Class<?> clazz, String name)`
    `BeanConfig(Class<?> clazz, String name, Class<?> type)`
    `BeanConfig(Class<?> clazz, String name, Class<?> type, Scope scope, boolean onlyStatic, boolean optional)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getClazz()`
    `String` | `getName()`
    `Scope` | `getScope()`
    `Class<?>` | `getType()`
    `boolean` | `isOnlyStatic()`
    `boolean` | `isOptional()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanConfig

          public BeanConfig(Class<?> clazz)

    - #### BeanConfig

          public BeanConfig(Class<?> clazz,
                            String name)

    - #### BeanConfig

          public BeanConfig(Class<?> clazz,
                            String name,
                            Class<?> type)

    - #### BeanConfig

          public BeanConfig(Class<?> clazz,
                            String name,
                            Class<?> type,
                            Scope scope,
                            boolean onlyStatic,
                            boolean optional)

  - ### Method Detail

    - #### getClazz

          public Class<?> getClazz()

    - #### getName

          public String getName()

    - #### getType

          public Class<?> getType()

    - #### getScope

          public Scope getScope()

    - #### isOnlyStatic

          public boolean isOnlyStatic()

    - #### isOptional

          public boolean isOptional()

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.